Debian Bug report logs - #545652
dfsbuild: FTBFS: Ambiguous type variable `e'

version graph

Package: dfsbuild; Maintainer for dfsbuild is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 8 Sep 2009 11:01:34 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version dfsbuild/1.0.2.0

Fixed in versions dfsbuild/1.0.2.0+nmu1, 1.0.2.0+rm

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#545652; Package dfsbuild. (Tue, 08 Sep 2009 11:01:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to John Goerzen <jgoerzen@complete.org>. (Tue, 08 Sep 2009 11:01:39 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: dfsbuild: FTBFS: Ambiguous type variable `e'
Date: Tue, 8 Sep 2009 11:43:39 +0200
Package: dfsbuild
Version: 1.0.2.0
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090907 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-dfsbuild_1.0.2.0-amd64-ftdKlc/dfsbuild-1.0.2.0'
> ghc -package Cabal Setup.lhs -o setup
> ./setup configure
> Configuring dfsbuild-1.0.2...
> Warning: No 'build-type' specified. If you do not need a custom Setup.hs or
> ./configure script then use 'build-type: Simple'.
> ./setup build
> Preprocessing executables for dfsbuild-1.0.2...
> Building dfsbuild-1.0.2...
> [1 of 9] Compiling Utils            ( Utils.hs, dist/build/dfsbuild/dfsbuild-tmp/Utils.o )
> 
> Utils.hs:88:7:
>     Ambiguous type variable `e' in the constraint:
>       `Exception e'
>         arising from a use of `handle' at Utils.hs:(88,7)-(89,28)
>     Probable fix: add a type signature that fixes these type variable(s)
> make[1]: *** [all] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/09/07/dfsbuild_1.0.2.0_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) pending and patch. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Fri, 06 Nov 2009 09:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#545652; Package dfsbuild. (Fri, 06 Nov 2009 09:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Fri, 06 Nov 2009 09:33:06 GMT) Full text and rfc822 format available.

Message #12 received at 545652@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 545652@bugs.debian.org
Subject: dfsbuild: diff for NMU version 1.0.2.0+nmu1
Date: Fri, 6 Nov 2009 10:17:29 +0100
[Message part 1 (text/plain, inline)]
tags 545652 + patch pending
thanks

Hi John,

I've prepared an NMU for dfsbuild (versioned as 1.0.2.0+nmu1) and
uploaded it to DELAYED/5, according to devref §5.11.1. Patch is as
usual: use OldException module.

Cheers.

PS I swear this is the last one of the series :-)

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[dfsbuild-1.0.2.0+nmu1-nmu.diff (text/x-diff, attachment)]

Reply sent to Stefano Zacchiroli <zack@debian.org>:
You have taken responsibility. (Wed, 11 Nov 2009 10:06:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 11 Nov 2009 10:06:05 GMT) Full text and rfc822 format available.

Message #17 received at 545652-close@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 545652-close@bugs.debian.org
Subject: Bug#545652: fixed in dfsbuild 1.0.2.0+nmu1
Date: Wed, 11 Nov 2009 10:02:20 +0000
Source: dfsbuild
Source-Version: 1.0.2.0+nmu1

We believe that the bug you reported is fixed in the latest version of
dfsbuild, which is due to be installed in the Debian FTP archive:

dfsbuild_1.0.2.0+nmu1.dsc
  to main/d/dfsbuild/dfsbuild_1.0.2.0+nmu1.dsc
dfsbuild_1.0.2.0+nmu1.tar.gz
  to main/d/dfsbuild/dfsbuild_1.0.2.0+nmu1.tar.gz
dfsbuild_1.0.2.0+nmu1_amd64.deb
  to main/d/dfsbuild/dfsbuild_1.0.2.0+nmu1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545652@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Zacchiroli <zack@debian.org> (supplier of updated dfsbuild package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Nov 2009 09:40:00 +0100
Source: dfsbuild
Binary: dfsbuild
Architecture: source amd64
Version: 1.0.2.0+nmu1
Distribution: unstable
Urgency: low
Maintainer: John Goerzen <jgoerzen@complete.org>
Changed-By: Stefano Zacchiroli <zack@debian.org>
Description: 
 dfsbuild   - Build Debian From Scratch CD/DVD images
Closes: 545652
Changes: 
 dfsbuild (1.0.2.0+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Utils.hs: use Control.OldException module to fix FTBFS with GHC 6.10
     (Closes: #545652)
Checksums-Sha1: 
 5b0dd5a929269d023009e9a32c0321233f2c0b87 1052 dfsbuild_1.0.2.0+nmu1.dsc
 d1d2553ed2a6fc5694f1d1ecf2f2ed99936700b5 334607 dfsbuild_1.0.2.0+nmu1.tar.gz
 228d92311de5dabbb79d88a03259ea73b4f45f2c 1089026 dfsbuild_1.0.2.0+nmu1_amd64.deb
Checksums-Sha256: 
 ba9338d39041c38d132a9e3c8c73dd157ceb2309d4c9b7b179b8f66f44a315d8 1052 dfsbuild_1.0.2.0+nmu1.dsc
 4e974535edbe24dbf81a928f38f0b48e6b54f5a97465076957c8c3f6724f746f 334607 dfsbuild_1.0.2.0+nmu1.tar.gz
 f55ecf11bd9f44b12e2950a940f5143ae4d51d2670c673b94f84dd6a4b7edf24 1089026 dfsbuild_1.0.2.0+nmu1_amd64.deb
Files: 
 f66cb02a1dbb554f3f61e2c4ad3302cc 1052 utils optional dfsbuild_1.0.2.0+nmu1.dsc
 0b6f026466a65ab99adcb994c9d57b38 334607 utils optional dfsbuild_1.0.2.0+nmu1.tar.gz
 cc29b6f1c680742541bab3eddb6d8366 1089026 utils optional dfsbuild_1.0.2.0+nmu1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK8+lc1cqbBPLEI7wRAjIgAKCofWJv3/6A5oop4DVOSmuQPY3uLACgsL/l
x5m7rfLSFQs8UW62Y2jWYyM=
=OnVu
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Sat, 23 Jan 2010 15:57:39 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Mon, 22 Feb 2010 18:39:28 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 22 Feb 2010 18:39:28 GMT) Full text and rfc822 format available.

Message #24 received at 545652-done@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 465944-done@bugs.debian.org, 553269-done@bugs.debian.org, 467543-done@bugs.debian.org, 383943-done@bugs.debian.org, 467546-done@bugs.debian.org, 478863-done@bugs.debian.org, 319483-done@bugs.debian.org, 253875-done@bugs.debian.org, 308876-done@bugs.debian.org, 311537-done@bugs.debian.org, 391363-done@bugs.debian.org, 468095-done@bugs.debian.org, 545652-done@bugs.debian.org
Subject: Package removed from Debian unstable
Date: Mon, 22 Feb 2010 19:35:15 +0100
Version: 1.0.2.0+rm

Package removed from Debian unstable: http://bugs.debian.org/570272

-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:09:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:02:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.